NSX-T Data Center REST API

List of VpcSecurityProfiles

Retrieves a paginated collection of all VPC Security Profiles available within a specified project.
Each security profile in the response includes comprehensive security configuration details such as
north-south and east-west firewall settings, associated security strategies, and profile metadata.
The API supports standard pagination parameters for efficient data retrieval and includes sorting capabilities.
Currently, this API returns multiple predefined security profiles including the default profile and
additional system-generated profiles that offer various security postures (isolation, external connectivity,
essential services, etc.) for different VPC deployment scenarios.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpc-security-profiles
Request Headers:
n/a
Query Parameters:
VpcSecurityProfileListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/Production_Prj/vpc-security-profiles

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
VpcSecurityProfileListResult+

Example Response:

{ "results": [ { "is_default": true, "north_south_firewall": { "enabled": true }, "east_west_firewall": { "security_strategies": [ "/orgs/default/projects/default/security-strategies/none" ] }, "resource_type": "VpcSecurityProfile", "id": "default", "display_name": "System Security Profile 1", "description": "'None' security strategy implies the attached VPC would not have any security strategy attached to it. This strategy will be marked as the 'Default' security strategy by the system by default", "path": "/orgs/default/projects/Production_Prj/vpc-security-profiles/default", "relative_path": "default", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "b96429ad-9b0c-4c40-b6ce-84fe44bc3ca1", "realization_id": "b96429ad-9b0c-4c40-b6ce-84fe44bc3ca1", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929316403, "_create_user": "system", "_last_modified_time": 1757929316403, "_last_modified_user": "system", "_revision": 0 }, { "is_default": false, "north_south_firewall": { "enabled": true }, "east_west_firewall": { "security_strategies": [ "/orgs/default/projects/default/security-strategies/vpc-isolation" ] }, "resource_type": "VpcSecurityProfile", "id": "system-security-profile-2", "display_name": "System Security Profile 2", "description": "Deny any communication between VPCs within the project. All workloads within the VPC to be allowed to communicate", "path": "/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-2", "relative_path": "system-security-profile-2", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "81e73d01-ec07-4863-9154-3d06ae74ddd7", "realization_id": "81e73d01-ec07-4863-9154-3d06ae74ddd7", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929316405, "_create_user": "system", "_last_modified_time": 1757929316405, "_last_modified_user": "system", "_revision": 0 }, { "is_default": false, "north_south_firewall": { "enabled": true }, "east_west_firewall": { "security_strategies": [ "/orgs/default/projects/default/security-strategies/vpc-isolation-with-essential-services" ] }, "resource_type": "VpcSecurityProfile", "id": "system-security-profile-3", "display_name": "System Security Profile 3", "description": "Deny all communication to VPCs except for essential services like ICMP, DNS, NTP and DHCP. All workloads within the VPC to be allowed to communicate", "path": "/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-3", "relative_path": "system-security-profile-3", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "a6ee0188-64c5-4330-924e-ee2b27ff29af", "realization_id": "a6ee0188-64c5-4330-924e-ee2b27ff29af", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929316406, "_create_user": "system", "_last_modified_time": 1757929316406, "_last_modified_user": "system", "_revision": 0 }, { "is_default": false, "north_south_firewall": { "enabled": true }, "east_west_firewall": { "security_strategies": [ "/orgs/default/projects/default/security-strategies/vpc-external-connectivity" ] }, "resource_type": "VpcSecurityProfile", "id": "system-security-profile-4", "display_name": "System Security Profile 4", "description": "Allow only Outgoing Communications, deny all incoming connections. VPC to VPC communication is blocked", "path": "/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-4", "relative_path": "system-security-profile-4", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "9e2b1fc1-018b-43ab-a69d-cbacc2367239", "realization_id": "9e2b1fc1-018b-43ab-a69d-cbacc2367239", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929316404, "_create_user": "system", "_last_modified_time": 1757929316404, "_last_modified_user": "system", "_revision": 0 }, { "is_default": false, "north_south_firewall": { "enabled": true }, "east_west_firewall": { "security_strategies": [ "/orgs/default/projects/default/security-strategies/vpc-secure-connection" ] }, "resource_type": "VpcSecurityProfile", "id": "system-security-profile-5", "display_name": "System Security Profile 5", "description": "Allow all outgoing communications, deny incoming connections. Allow VPC to VPC within project", "path": "/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-5", "relative_path": "system-security-profile-5", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "9446deec-7c3b-4bd4-b5c7-1bedc39b116b", "realization_id": "9446deec-7c3b-4bd4-b5c7-1bedc39b116b", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929316406, "_create_user": "system", "_last_modified_time": 1757929316406, "_last_modified_user": "system", "_revision": 0 } ], "result_count": 5, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

policy_edge_fw

Additional Errors: